<?php
/**
* This file is part of the Easy-CMS project.
* Easy-CMS is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* Easy-CMS is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Easy-CMS; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

class LinkManager{

	var $page;

	var $varsTable;
			
	function LinkManager($page, $varsTable){
		$this->page = $page;
		$this->varsTable = &$varsTable;
	}
	
	function addVar($name, $value){
		$this->varsTable[$name] = $value;
	}

	function getLink(){
		$args = "";
		foreach($this->varsTable as $name => $value){
			if(strlen($args) > 0){
				$args .= "&";
			}
			$args .= "$name=$value";
		}		
		return $this->page."?".$args;
	}	
}

?>